#!/usr/bin/env python3
"""
Launcher para Calculadora MAV - Versión PySide6 con MathJax
Versión optimizada: sin verificaciones lentas al inicio
"""
import sys

def main():
    """Función principal optimizada del launcher"""
    print("🚀 Iniciando Calculadora MAV - Diseño Minimalista 3 Paneles")
    print("=" * 60)
    
    print("🎯 Iniciando aplicación...")

    try:
        # Importar y ejecutar la aplicación directamente
        from app.gui_main import main as run_app
        run_app()
        
    except ImportError as e:
        print(f"❌ Error de importación: {e}")
        print("   Verifica que todos los archivos del proyecto estén presentes")
        print("   Si faltan dependencias, ejecuta: pip install -r requirements.txt")
        sys.exit(1)
        
    except Exception as e:
        print(f"❌ Error inesperado: {e}")
        import traceback
        traceback.print_exc()
        sys.exit(1)

if __name__ == "__main__":
    main() 